Loading...
Searching...
No Matches
_xmlAttr Struct Reference

An attribute of element. More...

`#include <tree.h>`

## Data Fields

void * | _private
| application data
xmlElementType | type
| XML_ATTRIBUTE_NODE.
const xmlChar * | name
| local name
struct _xmlNode * | children
| first child
struct _xmlNode * | last
| last child
struct _xmlNode * | parent
| parent node
struct _xmlAttr * | next
| next sibling
struct _xmlAttr * | prev
| previous sibling
struct _xmlDoc * | doc
| containing document
xmlNs * | ns
| namespace if any
xmlAttributeType | atype
| attribute type if validating
void * | psvi
| for type/PSVI information
struct _xmlID * | id
| ID struct if any.

## Detailed Description

An attribute of element.

The documentation for this struct was generated from the following file:

- tree.h